{
  "groups": [
    {
      "name": "ignored",
      "type": "com.wteam.framework.common.properties.IgnoredUrlsProperties",
      "sourceType": "com.wteam.framework.common.properties.IgnoredUrlsProperties"
    },
    {
      "name": "khai.jwt-setting",
      "type": "com.wteam.framework.common.properties.JWTTokenProperties",
      "sourceType": "com.wteam.framework.common.properties.JWTTokenProperties"
    },
    {
      "name": "lili.data.elasticsearch",
      "type": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties"
    },
    {
      "name": "lili.data.elasticsearch.account",
      "type": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties$Account",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties"
    },
    {
      "name": "lili.data.elasticsearch.index",
      "type": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties$Index",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties"
    },
    {
      "name": "lili.sms",
      "type": "com.wteam.framework.common.properties.SmsTemplateProperties",
      "sourceType": "com.wteam.framework.common.properties.SmsTemplateProperties"
    },
    {
      "name": "lili.system",
      "type": "com.wteam.framework.common.properties.SystemSettingProperties",
      "sourceType": "com.wteam.framework.common.properties.SystemSettingProperties"
    },
    {
      "name": "lili.verification-code",
      "type": "com.wteam.framework.common.properties.VerificationCodeProperties",
      "sourceType": "com.wteam.framework.common.properties.VerificationCodeProperties"
    },
    {
      "name": "wteam.api",
      "type": "com.wteam.framework.common.properties.ApiProperties",
      "sourceType": "com.wteam.framework.common.properties.ApiProperties"
    },
    {
      "name": "wteam.domain",
      "type": "com.wteam.framework.common.properties.DomainProperties",
      "sourceType": "com.wteam.framework.common.properties.DomainProperties"
    }
  ],
  "properties": [
    {
      "name": "ignored.urls",
      "type": "java.util.List<java.lang.String>",
      "sourceType": "com.wteam.framework.common.properties.IgnoredUrlsProperties"
    },
    {
      "name": "khai.jwt-setting.token-expire-time",
      "type": "java.lang.Long",
      "description": "token默认过期时间",
      "sourceType": "com.wteam.framework.common.properties.JWTTokenProperties",
      "defaultValue": 3600
    },
    {
      "name": "lili.data.elasticsearch.account.password",
      "type": "java.lang.String",
      "description": "认证密码",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties$Account"
    },
    {
      "name": "lili.data.elasticsearch.account.username",
      "type": "java.lang.String",
      "description": "认证用户",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties$Account"
    },
    {
      "name": "lili.data.elasticsearch.cluster-name",
      "type": "java.lang.String",
      "description": "集群名称",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties",
      "defaultValue": "elasticsearch"
    },
    {
      "name": "lili.data.elasticsearch.cluster-nodes",
      "type": "java.util.List<java.lang.String>",
      "description": "集群节点",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties"
    },
    {
      "name": "lili.data.elasticsearch.connect-timeout",
      "type": "java.lang.Integer",
      "description": "连接超时时间(毫秒)",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties",
      "defaultValue": 1000
    },
    {
      "name": "lili.data.elasticsearch.connection-request-timeout",
      "type": "java.lang.Integer",
      "description": "连接请求超时时间",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties",
      "defaultValue": 500
    },
    {
      "name": "lili.data.elasticsearch.index-prefix",
      "type": "java.lang.String",
      "description": "索引前缀",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties"
    },
    {
      "name": "lili.data.elasticsearch.index.number-of-replicas",
      "type": "java.lang.Integer",
      "description": "副本数量",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties$Index",
      "defaultValue": 2
    },
    {
      "name": "lili.data.elasticsearch.index.number-of-shards",
      "type": "java.lang.Integer",
      "description": "分片数量",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties$Index",
      "defaultValue": 3
    },
    {
      "name": "lili.data.elasticsearch.max-connect-per-route",
      "type": "java.lang.Integer",
      "description": "每个路由的最大连接数量",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties",
      "defaultValue": 10
    },
    {
      "name": "lili.data.elasticsearch.max-connect-total",
      "type": "java.lang.Integer",
      "description": "最大连接总数量",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties",
      "defaultValue": 30
    },
    {
      "name": "lili.data.elasticsearch.schema",
      "type": "java.lang.String",
      "description": "请求协议",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties",
      "defaultValue": "https"
    },
    {
      "name": "lili.data.elasticsearch.socket-timeout",
      "type": "java.lang.Integer",
      "description": "socket 超时时间",
      "sourceType": "com.wteam.framework.common.elasticsearch.config.ElasticsearchProperties",
      "defaultValue": 30000
    },
    {
      "name": "lili.sms.f-i-n-d-u-s-e-r",
      "type": "java.lang.String",
      "description": "找回密码",
      "sourceType": "com.wteam.framework.common.properties.SmsTemplateProperties",
      "defaultValue": "SMS_185821482"
    },
    {
      "name": "lili.sms.l-o-g-i-n",
      "type": "java.lang.String",
      "description": "登录",
      "sourceType": "com.wteam.framework.common.properties.SmsTemplateProperties",
      "defaultValue": "SMS_185821482"
    },
    {
      "name": "lili.sms.r-e-g-i-s-t-e-r",
      "type": "java.lang.String",
      "description": "注册",
      "sourceType": "com.wteam.framework.common.properties.SmsTemplateProperties",
      "defaultValue": "SMS_185821482"
    },
    {
      "name": "lili.sms.u-p-d-a-t-e-p-a-s-s-w-o-r-d",
      "type": "java.lang.String",
      "description": "设置密码",
      "sourceType": "com.wteam.framework.common.properties.SmsTemplateProperties",
      "defaultValue": "SMS_185821482"
    },
    {
      "name": "lili.sms.w-a-l-l-e-t-p-a-s-s-w-o-r-d",
      "type": "java.lang.String",
      "description": "设置支付密码",
      "sourceType": "com.wteam.framework.common.properties.SmsTemplateProperties",
      "defaultValue": "SMS_185821482"
    },
    {
      "name": "lili.system.is-demo-site",
      "type": "java.lang.Boolean",
      "description": "是否是演示站点",
      "sourceType": "com.wteam.framework.common.properties.SystemSettingProperties",
      "defaultValue": false
    },
    {
      "name": "lili.system.is-test-model",
      "type": "java.lang.Boolean",
      "description": "测试模式 验证码短信为6个1",
      "sourceType": "com.wteam.framework.common.properties.SystemSettingProperties",
      "defaultValue": false
    },
    {
      "name": "lili.system.sensitive-level",
      "type": "java.lang.Integer",
      "description": "脱敏级别： 0：不做脱敏处理 1：管理端用户手机号等信息脱敏 2：商家端信息脱敏（为2时，表示管理端，商家端同时脱敏） <p> PS:",
      "sourceType": "com.wteam.framework.common.properties.SystemSettingProperties",
      "defaultValue": 0
    },
    {
      "name": "lili.verification-code.effective-time",
      "type": "java.lang.Long",
      "description": "过期时间 包含滑块验证码有效时间， 以及验证通过之后，缓存中存储的验证结果有效时间",
      "sourceType": "com.wteam.framework.common.properties.VerificationCodeProperties",
      "defaultValue": 600
    },
    {
      "name": "lili.verification-code.fault-tolerant",
      "type": "java.lang.Integer",
      "description": "容错像素",
      "sourceType": "com.wteam.framework.common.properties.VerificationCodeProperties",
      "defaultValue": 3
    },
    {
      "name": "lili.verification-code.interfere-num",
      "type": "java.lang.Integer",
      "description": "干扰数量 最大数量",
      "sourceType": "com.wteam.framework.common.properties.VerificationCodeProperties",
      "defaultValue": 0
    },
    {
      "name": "lili.verification-code.watermark",
      "type": "java.lang.String",
      "description": "水印",
      "sourceType": "com.wteam.framework.common.properties.VerificationCodeProperties",
      "defaultValue": ""
    },
    {
      "name": "wteam.api.buyer",
      "type": "java.lang.String",
      "description": "买家api",
      "sourceType": "com.wteam.framework.common.properties.ApiProperties"
    },
    {
      "name": "wteam.api.common",
      "type": "java.lang.String",
      "description": "管理端域名",
      "sourceType": "com.wteam.framework.common.properties.ApiProperties"
    },
    {
      "name": "wteam.api.manager",
      "type": "java.lang.String",
      "description": "管理端域名",
      "sourceType": "com.wteam.framework.common.properties.ApiProperties"
    },
    {
      "name": "wteam.api.store",
      "type": "java.lang.String",
      "description": "管理端域名",
      "sourceType": "com.wteam.framework.common.properties.ApiProperties"
    },
    {
      "name": "wteam.domain.admin",
      "type": "java.lang.String",
      "description": "管理端域名",
      "sourceType": "com.wteam.framework.common.properties.DomainProperties"
    },
    {
      "name": "wteam.domain.pc",
      "type": "java.lang.String",
      "description": "买家PC端域名",
      "sourceType": "com.wteam.framework.common.properties.DomainProperties"
    },
    {
      "name": "wteam.domain.store",
      "type": "java.lang.String",
      "description": "Store域名",
      "sourceType": "com.wteam.framework.common.properties.DomainProperties"
    },
    {
      "name": "wteam.domain.wap",
      "type": "java.lang.String",
      "description": "买家WAP端域名",
      "sourceType": "com.wteam.framework.common.properties.DomainProperties"
    }
  ],
  "hints": []
}